### Method

# GIRepository TypeInfo get_array_length_index

since: 2.80

#### Declaration

    gboolean
    gi_type_info_get_array_length_index (
      GITypeInfo* info,
      unsigned int* out_length_index
    )

#### Description

Obtain the position of the argument which gives the array length of the type.

The type tag must be a `GI_TYPE_TAG_ARRAY` with a length argument, or `FALSE` will be returned.

Available since: 2.80

#### Parameters

`out_length_index`

  Type: `unsigned int*`

  Return location for the length argument.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the type is an array and has a length argument.